/*!********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2023 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/
@use 'shop/resources/scss/base/mixins/breakpoints';

/***************************************************************************************************
 * Column system of 12 columns with predefined responsive behaviour
****************************************************************************************************/
.columns1 {
    grid-column: auto/span 4;

    @include breakpoints.screen-m-and-up {
        grid-column: auto/span 3;
    }
    @include breakpoints.screen-l-and-up {
        grid-column: auto/span 1;
    }
}
.columns2 {
    grid-column: auto/span 6;

    @include breakpoints.screen-m-and-up {
        grid-column: auto/span 4;
    }
    @include breakpoints.screen-l-and-up {
        grid-column: auto/span 2;
    }
}
.columns3 {
    grid-column: auto/span 12;

    @include breakpoints.screen-m-and-up {
        grid-column: auto/span 6;
    }
    @include breakpoints.screen-l-and-up {
        grid-column: auto/span 3;
    }
}
.columns4 {
    grid-column: auto/span 12;

    @include breakpoints.screen-m-and-up {
        grid-column: auto/span 6;
    }
    @include breakpoints.screen-l-and-up {
        grid-column: auto/span 4;
    }
}
.columns5 {
    grid-column: auto/span 12;

    @include breakpoints.screen-m-and-up {
        grid-column: auto/span 5;
    }
}
.columns6 {
    grid-column: auto/span 6;

    @include breakpoints.screen-m-and-up {
        grid-column: auto/span 6;
    }
    @include breakpoints.screen-l-and-up {
        grid-column: auto/span 6;
    }
}
.columns7 {
    grid-column: auto/span 12;

    @include breakpoints.screen-m-and-up {
        grid-column: auto/span 7;
    }
}
.columns8 {
    grid-column: auto/span 12;

    @include breakpoints.screen-m-and-up {
        grid-column: auto/span 8;
    }
}
.columns9 {
    grid-column: auto/span 12;

    @include breakpoints.screen-m-and-up {
        grid-column: auto/span 9;
    }
}
.columns10 {
    grid-column: auto/span 12;

    @include breakpoints.screen-m-and-up {
        grid-column: auto/span 10;
    }
}
.columns11 {
    grid-column: auto/span 12;

    @include breakpoints.screen-m-and-up {
        grid-column: auto/span 11;
    }
}
.columns12 {
    grid-column: auto/span 12;
}

/***************************************************************************************************
 * Offsets
****************************************************************************************************/
@for $i from 1 through 11 {
    .offsets#{$i} {
        grid-column-start: #{$i + 1};
    }
}

/***************************************************************************************************
 * Responsive columns and offsets, e.g:
 * <Column responsive={{ SM: 12, MD: 6, LG: 4, XL: 3, offsets: { MD: 6, LG: 8, XL: 9 }}}></Column>
****************************************************************************************************/
@mixin responsive-columns($size) {
    @for $i from 1 through 12 {
        .columns#{$i}#{$size} {
            grid-column-end: span #{$i};
        }
    }
}
@mixin responsive-offsets($size) {
    @for $i from 1 through 11 {
        .offsets#{$i}#{$size} {
            grid-column-start: #{$i + 1};
        }
    }
}
@include responsive-columns('sm');
@include responsive-offsets('sm');
@include breakpoints.screen-m-and-up {
    @include responsive-columns('md');
    @include responsive-offsets('md');
}
@include breakpoints.screen-l-and-up {
    @include responsive-columns('lg');
    @include responsive-offsets('lg');
}
@include breakpoints.screen-xl-and-up {
    @include responsive-columns('xl');
    @include responsive-offsets('xl');
}
